Bug 591011 - Review Request: kfilefactory - An easy to use filefactory.com uploader
Summary: Review Request: kfilefactory - An easy to use filefactory.com uploader
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL: http://kde-apps.org/content/show.php?...
Whiteboard:
Depends On: 121438
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-11 08:04 UTC by Aditya Patawari
Modified: 2010-06-24 16:28 UTC (History)
7 users (show)

Fixed In Version: kfilefactory-0.1.1-1.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-24 16:23:33 UTC
rdieter: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Aditya Patawari 2010-05-11 08:04:00 UTC
Spec URL: http://adimania.fedorapeople.org/specs/kfilefactory.spec
SRPM URL: http://adimania.fedorapeople.org/src.rpms/kfilefactory-0.1.0-1.fc12.src.rpm
Description: With kfilefactory files and directories can be easily shared from within the action menu of dolphin (KDE4).
kfilefactory compresses a file or directory and uploads the resulting file zipped and password protected to filefactory.com.
This is my first package and I need a sponsor.

Comment 1 Aditya Patawari 2010-05-14 09:34:41 UTC
URL for Koji Scratch build is http://koji.fedoraproject.org/koji/taskinfo?taskID=2187134

Comment 2 Aditya Patawari 2010-05-17 11:19:35 UTC
For potential sponsors:
Check out my other request (kmyfirewall) at https://bugzilla.redhat.com/show_bug.cgi?id=592864
I have dine some informal reviews at:
1. thomasj's vor : https://bugzilla.redhat.com/show_bug.cgi?id=592388#c4
2. Kevin_Kofler's koffice-kivio : https://bugzilla.redhat.com/show_bug.cgi?id=592137#c6

Comment 3 Rex Dieter 2010-05-17 14:14:36 UTC
I'll take a look.

Comment 4 Magnus Tuominen 2010-05-26 17:01:22 UTC
I'll make an informal review for you sometime tomorrow.

Comment 5 Magnus Tuominen 2010-05-27 09:04:36 UTC
This is my review:

####

+ MUST: rpmlint must be run on every package. The output should be posted in the review.
rpmlint -iv kfilefactory-0.1.0-1.fc13.*
kfilefactory.noarch: I: checking
kfilefactory.noarch: W: spelling-error %description -l en_US filefactory -> file factory, file-factory, malefactor
The value of this tag appears to be misspelled. Please double-check.

kfilefactory.noarch: I: checking-url http://kde-apps.org/content/show.php/kfilefactory?content=105900 (timeout 10 seconds)
kfilefactory.src: I: checking
kfilefactory.src: W: spelling-error %description -l en_US filefactory -> file factory, file-factory, malefactor
The value of this tag appears to be misspelled. Please double-check.

kfilefactory.src: I: checking-url http://kde-apps.org/content/show.php/kfilefactory?content=105900 (timeout 10 seconds)
kfilefactory.src: W: no-cleaning-of-buildroot %install
You should clean $RPM_BUILD_ROOT in the %clean section and in the beginning of
the %install section. Use "rm -rf $RPM_BUILD_ROOT". Some rpm configurations do
this automatically; if your package is only going to be built in such
configurations, you can ignore this warning for the section(s) where your rpm
takes care of it.

kfilefactory.src: I: checking-url http://kde-apps.org/CONTENT/content-files/105900-kfilefactory-0.1.0.tar.bz2 (timeout 10 seconds)
2 packages and 0 specfiles checked; 0 errors, 3 warnings.

+ MUST: The package must be named according to the Package Naming Guidelines.
+ MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
- MUST: The package must meet the Packaging Guidelines.
W: no-cleaning-of-buildroot %install

+ MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
GPLv2
+ MUST: The License field in the package spec file must match the actual license.
+ MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
+ MUST: The spec file must be written in American English.
+ MUST: The spec file for the package MUST be legible.
- MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
md5sum does not match: 
upstream	4fac311c7b4a3570228b7b4128cdbc3c
rpm:		a4666760a2e4fa5b2617fd47fd9de541

+ MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
+ MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
+ MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
+ MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
+ MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
+ MUST: Packages must NOT bundle copies of system libraries.
+ MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
- MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
Add requires: kdebase-workspace

+ MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
+ MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line.
+ MUST: Each package must consistently use macros.
+ MUST: The package must contain code, or permissable content.
+ MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
+ MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
+ MUST: Header files must be in a -devel package.
+ MUST: Static libraries must be in a -static package.
+ MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
+ MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release}
+ MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
+ MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
+ MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.
+ MUST: All filenames in rpm packages must be valid UTF-8.



SHOULD Items:
Items marked as SHOULD are things that the package (or reviewer) SHOULD do, but is not required to do.

+ SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
+ SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
+ SHOULD: The reviewer should test that the package builds in mock.
+ SHOULD: The package should compile and build into binary rpms on all supported architectures.
noarch
- SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
The menu does not show up: dolphin, konqueror.

+ SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
+ SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
+ SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
+ SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
* SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.

###

version 0.1.1 has been released:
Changelog:
0.1.1 (11.05.2010)
-) made compression and password protection optional (KDE4)
-) added LICENSE file
-) cosmetic output change in KDE4 version

you might want to update as it contains some useful things.

Comment 6 Aditya Patawari 2010-05-27 14:35:05 UTC
I have updated the package and spec for new version and fixed all the issues pointed out by Magnus Tuominen.

Comment 8 Magnus Tuominen 2010-05-27 15:39:14 UTC
All issues mentioned are fixed, an icon is still missing and the %changelog in the spec is the wrong version. Other than that, I think it is good.

Comment 9 Rex Dieter 2010-06-16 18:04:41 UTC
missing BR: kde-filesystem  (for %{_kde4_*} macros), but I don't consider that a blocker, we can fix that prior to import

Otherwise, thanks for all the review help, looks good.

APPROVED.

Comment 10 Aditya Patawari 2010-06-16 22:08:59 UTC
New Package CVS Request
=======================
Package Name: kfilefactory
Short Description: An easy to use filefactory.com uploader
Owners: adimania
Branches: F-12 F-13 F-14

Comment 11 Kevin Fenzi 2010-06-21 02:03:18 UTC
CVS done (by process-cvs-requests.py).

We are not yet doing F-14 branches.

Comment 12 Fedora Update System 2010-06-24 09:57:00 UTC
kfilefactory-0.1.1-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/kfilefactory-0.1.1-1.fc13

Comment 13 Fedora Update System 2010-06-24 09:58:34 UTC
kfilefactory-0.1.1-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/kfilefactory-0.1.1-1.fc12

Comment 14 Fedora Update System 2010-06-24 16:23:27 UTC
kfilefactory-0.1.1-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2010-06-24 16:28:16 UTC
kfilefactory-0.1.1-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.